From 79915853dcaf446c25fc046b501d23c6925c1e55 Mon Sep 17 00:00:00 2001
From: Guillaume AGNIERAY <dev@agnieray.net>
Date: Sun, 29 Sep 2019 11:40:01 +0200
Subject: [PATCH 8/9] Fix unresolved internal references ; fixes #1307

---
 source/changelog.rst          | 2 +-
 source/development/codage.rst | 2 +-
 source/development/git.rst    | 2 +-
 source/development/i18n.rst   | 8 +++++---
 4 files changed, 8 insertions(+), 6 deletions(-)

diff --git a/source/changelog.rst b/source/changelog.rst
index 9337d32..958a6a5 100644
--- a/source/changelog.rst
+++ b/source/changelog.rst
@@ -903,7 +903,7 @@ Ajouts et modifications
 * Gestion de groupes,
 * Intégration d'un tableau de bord (avec affichage des dernières news du projet),
 * Pages publiques (liste des membres et trombinoscope),
-* Système de plugins (voir :ref:`la liste des plugins disponibles <plugins>`),
+* Système de plugins (voir :doc:`la liste des plugins disponibles <plugins/index>`),
 * Export au format CSV des tables de la base courante et/ou export de requêtes paramétrées (https://download.tuxfamily.org/galette/listes-galette/mail.gna.org/public/galette-devel/2009-02/msg00006.html),
 * Paramétrage des champs obligatoires pour l'enregistrement et la modification d'adhérents,
 * Gestion multilingue des sujets et messages des mails envoyés automatiquement par Galette (inscription, perte de mot de passe, ...),
diff --git a/source/development/codage.rst b/source/development/codage.rst
index d8ca8e0..b5b650c 100644
--- a/source/development/codage.rst
+++ b/source/development/codage.rst
@@ -57,7 +57,7 @@ Les fichiers de galette sont répartis dans différents dossiers, dont voici un
 
   * |folder| `...`
 
-* |folder| `plugins` : :ref:`dossier de stockage des plugins <plugins>`
+* |folder| `plugins` : :doc:`dossier de stockage des plugins <../plugins/index>`
 * |folder| `public` : pages publiques
 * |folder| `templates` : ensembles de templates Smarty
 
diff --git a/source/development/git.rst b/source/development/git.rst
index c39cc1b..b1bd83a 100644
--- a/source/development/git.rst
+++ b/source/development/git.rst
@@ -25,7 +25,7 @@ Les bibliothèques externes dont dépend Galette pour fonctionner ne sont plus d
 
 Une fois le dépôt cloné et les bibliothèques externes installées, vous vous trouvez sur la dernière version stable. Pour récupérer la version de développement, reportez-vous au « :doc:`guide du contributeur <contributor>` » ;-)
 
-Si vous souhaitez juste installer la version de développement de Galette pour tester, vous pouvez maintenant passer à :ref:`la phase d'installation de Galette <installation>`, félicitations ;-)
+Si vous souhaitez juste installer la version de développement de Galette pour tester, vous pouvez maintenant passer à :doc:`la phase d'installation de Galette <../installation/index>`, félicitations ;-)
 
 .. _deps:
 
diff --git a/source/development/i18n.rst b/source/development/i18n.rst
index ac1a3cf..ae66429 100644
--- a/source/development/i18n.rst
+++ b/source/development/i18n.rst
@@ -69,9 +69,9 @@ Il est souvent nécessaire d'utiliser des variables à remplacer dans les chaîn
 
 Une fonction ``__()`` est également disponible ; la seule différence avec ``_T()``, c'est que les chaînes non traduites ne seront pas marquées comme telles (utilisé principalement pour les routes).
 
-.. _i18npatterns:
+.. note::
 
-Bien entendu, les patterns sont laissés à votre entière discrétion ; pensez seulement que la personne qui traduira pourra mieux contextualiser la chaîne si les variables à remplacer sont un minimum identifiée (nous aurions par exemple pu choisir `%s` au lieu de `%name` ; mais ça aurait été moins explicite :-) ).
+   Bien entendu, les patterns sont laissés à votre entière discrétion ; pensez seulement que la personne qui traduira pourra mieux contextualiser la chaîne si les variables à remplacer sont un minimum identifiée (nous aurions par exemple pu choisir `%s` au lieu de `%name` ; mais ça aurait été moins explicite :-) ).
 
 Smarty
 ------
@@ -89,7 +89,9 @@ Smarty propose des `modifiers` pour par exemple effectuer des remplacements. Le
 
    <p>{_T string="Hello %name!" pattern="/%name/" replace=$adh->name}</p>
 
-La :ref:`note concernant le nommage des patterns <i18npatterns>` du précédent paragraphe s'applique ici aussi, bien entendu ;-)
+.. note::
+
+   La note concernant le nommage des patterns du précédent paragraphe s'applique ici aussi, bien entendu ;-)
 
 Domaines de traduction
 ----------------------
-- 
2.20.1